FLANG

Public Member Functions | List of all members
Fortran::parser::CookedSource Class Reference

## Public Member Functions
| CookedSource (AllSources &)
AllSources & | allSources ()
const AllSources & | allSources () const
const std::string & | data () const
bool | IsValid (const char *p) const
bool | IsValid (CharBlock range) const
bool | IsValid (ProvenanceRange r) const
std::optional< ProvenanceRange > | GetProvenanceRange (CharBlock) const
std::optional< CharBlock > | GetCharBlockFromLineAndColumns (int line, int startColumn, int endColumn) const
std::optional< std::pair< SourcePosition, SourcePosition > > | GetSourcePositionRange (CharBlock) const
std::optional< CharBlock > | GetCharBlock (ProvenanceRange) const
std::size_t | Put (const char *data, std::size_t bytes)
std::size_t | Put (const std::string &s)
std::size_t | Put (char ch)
std::size_t | Put (char ch, Provenance p)
void | PutProvenance (Provenance p)
void | PutProvenance (ProvenanceRange pr)
void | PutProvenanceMappings (const OffsetToProvenanceMappings &pm)
std::size_t | BufferedBytes () const
void | Marshal ()
void | CompileProvenanceRangeToOffsetMappings ()
std::string | AcquireData ()
llvm::raw_ostream & | Dump (llvm::raw_ostream &) const

The documentation for this class was generated from the following files:

- include/flang/Parser/provenance.h
- lib/Parser/provenance.cpp